> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all custom fields of an organization



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/identity/fields/custom
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/identity/fields/custom:
    get:
      tags:
        - Directory
      summary: Get all custom fields of an organization
      operationId: getIdentityCustomFields
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PublicGetIdentityCustomFieldsListResponseDto
      security:
        - API-Key: []
components:
  schemas:
    PublicGetIdentityCustomFieldsListResponseDto:
      type: object
      properties:
        items:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicGetIdentityCustomFieldResponseDto'
        availableSourceWorkspaces:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/SuggestedCustomFieldWorkspaceDto'
      required:
        - items
        - availableSourceWorkspaces
    PublicGetIdentityCustomFieldResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        kind:
          example: dropdown
          allOf:
            - $ref: '#/components/schemas/IdentityFieldKind'
        serviceSource:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/ServiceSourceDto'
        serviceDetails:
          nullable: true
          readOnly: true
          type: object
          allOf:
            - $ref: '#/components/schemas/ServiceDetailsDto'
        configuration:
          type: object
          oneOf:
            - $ref: '#/components/schemas/IdentityFieldDropdownConfigurationDto'
          nullable: true
        required:
          type: boolean
          description: This field will be always `false` in R1
          readOnly: true
          example: true
        attributeCode:
          type: string
          readOnly: true
          example: custom_text_field
        attributeName:
          type: string
          readOnly: true
          example: Foo bar
      required:
        - id
        - kind
        - serviceSource
        - serviceDetails
        - configuration
        - required
        - attributeCode
        - attributeName
    SuggestedCustomFieldWorkspaceDto:
      type: object
      properties:
        workspaceId:
          type: number
          readOnly: true
        workspaceName:
          type: string
          readOnly: true
        serviceId:
          type: number
          readOnly: true
        serviceUniqueName:
          type: string
          readOnly: true
        serviceName:
          type: string
          readOnly: true
      required:
        - workspaceId
        - workspaceName
        - serviceId
        - serviceUniqueName
        - serviceName
    IdentityFieldKind:
      type: string
      enum:
        - text
        - textarea
        - date
        - number
        - dropdown
        - email
    ServiceSourceDto:
      type: object
      properties:
        workspaceId:
          type: number
          readOnly: true
          example: 1
        serviceFieldId:
          type: string
          readOnly: true
          example: smarthr_city
      required:
        - workspaceId
        - serviceFieldId
    ServiceDetailsDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 33
        name:
          type: string
          readOnly: true
          example: SmartHR
        uniqueName:
          type: string
          readOnly: true
          example: smarthr
        serviceTopUrl:
          type: string
          nullable: true
          readOnly: true
          example: https://smarthr.jp/
      required:
        - id
        - name
        - uniqueName
        - serviceTopUrl
    IdentityFieldDropdownConfigurationDto:
      type: object
      properties:
        values:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/IdentityFieldDropdownItemDto'
        groups:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/IdentityFieldDropdownGroupDto'
      required:
        - values
        - groups
    IdentityFieldDropdownItemDto:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          example: option_1
        value:
          type: string
          readOnly: true
          example: Option 1
        group:
          type: string
        label:
          $ref: '#/components/schemas/IdentityMultiLanguageNameDto'
      required:
        - id
        - value
    IdentityFieldDropdownGroupDto:
      type: object
      properties:
        label:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/IdentityMultiLanguageNameDto'
        value:
          type: string
          readOnly: true
          example: phone
      required:
        - value
    IdentityMultiLanguageNameDto:
      type: object
      properties:
        ja:
          type: string
          readOnly: true
          example: こんにちは
        en:
          type: string
          readOnly: true
          example: Hello
      required:
        - ja
        - en
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````